Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class ProviderTestCase.NullableChocolatier

    java.lang.Object
      org.picocontainer.injectors.ProviderAdapter
          org.picocontainer.injectors.ProviderTestCase.Chocolatier
              org.picocontainer.injectors.ProviderTestCase.NullableChocolatier

All Implemented Interfaces:
  org.picocontainer.ComponentAdapter, org.picocontainer.Injector, org.picocontainer.injectors.Provider

Enclosing class:
  ProviderTestCase

    public static class ProviderTestCase.NullableChocolatier

extends ProviderTestCase.Chocolatier

Nested Class Summary

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Constructor Summary
`ProviderTestCase.NullableChocolatier()`

Method Summary
`ProviderTestCase.Chocolate` | `provide(ProviderTestCase.CocaoBeans cocaoBeans, String name)`

Methods inherited from class org.picocontainer.injectors.ProviderTestCase.Chocolatier
`useNames`

Methods inherited from class org.picocontainer.injectors.ProviderAdapter
`accept, decorateComponentInstance, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, getDescriptor, getProvideMethod, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderTestCase.NullableChocolatier

    public ProviderTestCase.NullableChocolatier()

Method Detail

### provide

    public ProviderTestCase.Chocolate provide(ProviderTestCase.CocaoBeans cocaoBeans,
                                              String name)

  Overrides:
    `provide` in class `ProviderTestCase.Chocolatier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.